/*
-- Land units blockade adjacent tiles
UPDATE CustomModOptions SET Value = 1 WHERE Name = 'ADJACENT_BLOCKADE';
*/
/*-- Base supply from production * 0.4
UPDATE HandicapInfos SET ProductionFreeUnitsPopulationPercent = ProductionFreeUnitsPopulationPercent * 0.4;
*/

-- Wonders (global and national) * 0.6, common buildings * 0.4
UPDATE Buildings SET CitySupplyModifier = CitySupplyModifier * 0.4 WHERE CitySupplyModifier > 1 and BuildingClass IN (SELECT Type From BuildingClasses Where MaxPlayerInstances = -1 and MaxGlobalInstances = -1); 

UPDATE Buildings SET CitySupplyModifier = CitySupplyModifier * 0.6 WHERE CitySupplyModifier > 1 and BuildingClass IN (SELECT Type From BuildingClasses Where MaxPlayerInstances = 1); 

UPDATE Buildings SET CitySupplyModifier = CitySupplyModifier * 0.6 WHERE CitySupplyModifier > 1 and BuildingClass IN (SELECT Type From BuildingClasses Where MaxGlobalInstances = 1); 

UPDATE Buildings SET CitySupplyModifierGlobal = CitySupplyModifierGlobal * 0.6 WHERE CitySupplyModifierGlobal > 1 and TYPE !="BUILDING_VENETIAN_ARSENALE" ; 

UPDATE Buildings SET CitySupplyModifierGlobal = CitySupplyModifierGlobal * 0.7 WHERE Type = "BUILDING_VENETIAN_ARSENALE"; 

-- Flat bonus of Brandenburg is too much, give -1 to everything > 3, and -2 to Brandenburg 
UPDATE Buildings SET CitySupplyFlat = CitySupplyFlat - 1 WHERE CitySupplyFlat > 3 and CitySupplyFlat < 6; 
UPDATE Buildings SET CitySupplyFlat = CitySupplyFlat - 2 WHERE CitySupplyFlat > 6; 

-- Policies * 0.6
UPDATE Policies SET ExtraSupplyPerPopulation = ExtraSupplyPerPopulation * 0.6 WHERE ExtraSupplyPerPopulation > 0; 

-- Less Barbs
UPDATE GameSpeeds SET BarbPercent = (ROUND((BarbPercent * 1.5) / 10, 0) * 10); 

-- Tall vs Wide tweaks
-- Remove Barracks from Colonists & Pioneers to nerf Wide a bit. Conquistador keeps Barracks but loses Armory.
DELETE FROM Unit_BuildOnFound WHERE BuildingClassType = "BUILDINGCLASS_ARMORY";
DELETE FROM Unit_BuildOnFound WHERE BuildingClassType = "BUILDINGCLASS_BARRACKS" AND UnitType != "UNIT_SPANISH_CONQUISTADOR";

-- Military Units
-- Military unit costs increased by 50% for balance
UPDATE Units SET Cost = Cost * 1.5 WHERE CivilianAttackPriority IS NULL and Cost > 0 ;

/*
-- This doubles resource quantity (except nuclear missiles, who require 50% more)
UPDATE Unit_ResourceQuantityRequirements SET Cost = Cost * 2 WHERE UnitType NOT IN ("UNIT_SS_STASIS_CHAMBER", "UNIT_SS_ENGINE", "UNIT_SS_COCKPIT", "UNIT_SS_BOOSTER", "UNIT_DIPLOMAT", "UNIT_AMBASSADOR","UNIT_EMISSARY", "UNIT_ENVOY", "UNIT_NUCLEAR_MISSILE") AND ResourceType NOT IN ('RESOURCE_SAILORS');
UPDATE Unit_ResourceQuantityRequirements SET Cost = Cost * 1.5 WHERE UnitType IS "UNIT_NUCLEAR_MISSILE";
*/

-- Cities
-- Building HP bonuses * 0.66, and Defense * 0.75, both rounded down
UPDATE Buildings SET Defense = (ROUND((Defense * 0.75) / 100, 0) * 100) WHERE Defense > 0 AND BuildingClass IS NOT "BUILDINGCLASS_PALACE"; 
UPDATE Buildings SET ExtraCityHitPoints = (ROUND((ExtraCityHitPoints * 0.66) / 10, 0) * 10) WHERE ExtraCityHitPoints > 0; 

UPDATE Buildings SET GlobalDefenseMod = (ROUND(GlobalDefenseMod * 0.7)) WHERE GlobalDefenseMod > 0; 
UPDATE Buildings SET BuildingDefenseModifier = (ROUND(BuildingDefenseModifier * 0.7)) WHERE BuildingDefenseModifier > 0; 


/*

-- Reduce defensive bonuses of Fort, Citadel and Jungles, off by default
UPDATE Improvements SET DefenseModifier = DefenseModifier - 5 WHERE DefenseModifier < 49 and DefenseModifier > 10 and Type IS NOT "IMPROVEMENT_BARBARIAN_CAMP"; -- Uniques give 5 less
UPDATE Improvements SET DefenseModifier = ROUND(DefenseModifier * 0.8) WHERE DefenseModifier > 49; -- Citadel gives 80, Forts and uniques 40
UPDATE Features SET Defense = ROUND(Defense * 0.8) WHERE Defense > 20; -- Jungle and Forest gives 20 (was 25)

*/

-- Military CS unit gift cooldown doubled
UPDATE Defines SET Value = Value * 2 WHERE Name = "FRIENDS_BASE_TURNS_UNIT_SPAWN"; -- Default 19

-- Texts
/* CitySupplyModifier 0.4 for buildings, 0.6 for wonders */
/* Wonders */
	
UPDATE Language_en_US SET Text="Receive a [COLOR_POSITIVE_TEXT]Free[ENDCOLOR] Police Station in the City in which it is built. [ICON_SILVER_FIST] Military Units Supplied by this City's population increased by 60%.[NEWLINE][NEWLINE]Building Maintenance reduced by 10% in all Cities. Blocks enemy units from gaining [ICON_GOLD] Gold and Health when pillaging your tiles." WHERE Tag="TXT_KEY_WONDER_MOTHERLAND_STATUE_HELP";

UPDATE Language_en_US SET Text="1 of 3 [COLOR_NEGATIVE_TEXT]Mutually Exclusive[ENDCOLOR] Unique Venetian Buildings. Requires construction of {TXT_KEY_BUILDING_PIAZZA_SAN_MARCO} in this City.[NEWLINE][NEWLINE]+7% [ICON_SILVER_FIST] Military Supply from Population and [ICON_STRENGTH] Defense Strength in all Cities (+10% in [ICON_CAPITAL] Capital).[NEWLINE][NEWLINE]Internal [ICON_INTERNATIONAL_TRADE] Trade Routes from this City generate +4 [ICON_PRODUCTION] Production.[NEWLINE][NEWLINE]All Naval Units receive the [COLOR_POSITIVE_TEXT]{TXT_KEY_PROMOTION_ARSENALE}[ENDCOLOR] Promotion.[NEWLINE][NEWLINE]The [ICON_PRODUCTION] Production Cost increases based on the number of Cities you own." WHERE Tag="TXT_KEY_BUILDING_VENETIAN_ARSENALE_HELP"; 

UPDATE Language_en_US SET Text="Receive 1 [COLOR_POSITIVE_TEXT]Free[ENDCOLOR] [ICON_GREAT_WRITER] Great Writer in the City in which it is built. All Land Units created by this City (past or future) receive the [COLOR_POSITIVE_TEXT]Morale[ENDCOLOR] Promotion, which gives +10% [ICON_STRENGTH] Combat Strength. [ICON_SILVER_FIST] Military Units Supplied by this City's population increased by 6%. Contains 1 slot for a [ICON_GREAT_WORK] Great Work of Writing.[NEWLINE][NEWLINE]The [ICON_PRODUCTION] Production Cost and [ICON_CITIZEN] Population Requirements increase based on the number of Cities you own." WHERE Tag="TXT_KEY_BUILDING_HEROIC_EPIC_HELP";

UPDATE Language_en_US SET Text="+6% [ICON_SILVER_FIST] Military Supply from Population in this City. Contains a prebuilt [ICON_VP_GREATART] Great Work of Art in one of the [ICON_GREAT_WORK] Great Work slots. All owned Amphitheaters gain +1 [ICON_CULTURE] Culture and +1 [ICON_RESEARCH] Science. -1 [ICON_HAPPINESS_3] Unhappiness from [ICON_CULTURE] Boredom in this City. +3 [ICON_CULTURE] Culture if [COLOR_POSITIVE_TEXT]Themed[ENDCOLOR]." WHERE Tag="TXT_KEY_WONDER_PARTHENON_HELP";

/* Buildings */
/*Stables*/
UPDATE Language_en_US SET Text="+33% [ICON_PRODUCTION] Production when building Mounted Melee Units. +4% [ICON_SILVER_FIST] Military Supply from Population. Internal [ICON_INTERNATIONAL_TRADE] Trade Routes from this City generate +2 [ICON_PRODUCTION] Production.[NEWLINE][NEWLINE]Nearby [ICON_RES_HORSE] Horses: +2 [ICON_PRODUCTION] Production.[NEWLINE]Nearby [ICON_RES_SHEEP] Sheep: +2 [ICON_PRODUCTION] Production.[NEWLINE]Nearby [ICON_RES_COW] Cattle: +2 [ICON_PRODUCTION] Production.[NEWLINE][NEWLINE]City must have at least one of these resources improved with a Pasture." WHERE Tag="TXT_KEY_BUILDING_STABLE_HELP";

UPDATE Language_en_US SET Text="Provides 1 [COLOR_POSITIVE_TEXT]Free[ENDCOLOR] [ICON_RES_HORSE] Horse. +50% [ICON_PRODUCTION] Production and +15 XP when building Mounted Melee Units. +4% [ICON_SILVER_FIST] Military Supply from Population. Internal [ICON_INTERNATIONAL_TRADE] Trade Routes from this City generate +2 [ICON_PRODUCTION] Production.[NEWLINE][NEWLINE]Nearby [ICON_RES_HORSE] Horses: +3 [ICON_PRODUCTION] Production, +3 [ICON_GOLD] Gold.[NEWLINE]Nearby [ICON_RES_SHEEP] Sheep: +3 [ICON_PRODUCTION] Production, +3 [ICON_GOLD] Gold.[NEWLINE]Nearby [ICON_RES_COW] Cattle: +3 [ICON_PRODUCTION] Production, +3 [ICON_GOLD] Gold." WHERE Tag="TXT_KEY_BUILDING_DUCAL_STABLE_HELP";

/*Wall Line*/
UPDATE Language_en_US SET Text= "+1 City's [ICON_RANGE_STRENGTH] Ranged Strike Range. +4% [ICON_SILVER_FIST] Military Supply from Population.[NEWLINE][NEWLINE][ICON_CITY_STATE] Empire Size Modifier is reduced by 5% in this City." WHERE Tag="TXT_KEY_BUILDING_WALLS_HELP";

UPDATE Language_en_US SET Text= "+4% [ICON_SILVER_FIST] Military Supply from Population. +1 [ICON_RANGE_STRENGTH] City Strike Range. Great Scientists provide 5% more [ICON_RESEARCH] Science when used to discover new Technology.[NEWLINE][NEWLINE][ICON_CITY_STATE] Empire Size Modifier is reduced by 5% in this City." WHERE Tag="TXT_KEY_CIV5_BABYLON_WALLS_INFO";

UPDATE Language_en_US SET Text= "Damage from all sources against this City is reduced by 2. +1 [ICON_PRODUCTION] Production for Quarries worked by this City. +4% [ICON_SILVER_FIST] Military Supply from Population. Contains 1 slot for a [ICON_GREAT_WORK] Great Work of Art or Artifact.[NEWLINE][NEWLINE][ICON_CITY_STATE] Empire Size Modifier is reduced by 5% in this City." WHERE Tag="TXT_KEY_BUILDING_CASTLE_HELP";

UPDATE Language_en_US SET Text= "Damage from all sources against this City is reduced by 2. +4% [ICON_SILVER_FIST] Military Supply from Population. Allows City to [ICON_RANGE_STRENGTH] Strike over obstacles.[NEWLINE][NEWLINE]Garrisoned Units receive an additional 5 Health when healing in this City.[NEWLINE][NEWLINE][ICON_CITY_STATE] Empire Size Modifier is reduced by 5% in this City." WHERE Tag="TXT_KEY_BUILDING_FORTRESS_HELP";

UPDATE Language_en_US SET Text="+4% [ICON_SILVER_FIST] Military Supply from Population. +1 City's [ICON_RANGE_STRENGTH] Ranged Strike Range.[NEWLINE][NEWLINE]Garrisoned Units receive an additional 5 Health when healing in this City.[NEWLINE][NEWLINE][ICON_CITY_STATE] Empire Size Modifier is reduced by 5% in this City." WHERE Tag="TXT_KEY_BUILDING_ARSENAL_HELP";

UPDATE Language_en_US SET Text="Damage from all sources against this City is reduced by 2. Allows City to [ICON_RANGE_STRENGTH] Strike over obstacles. +4% [ICON_SILVER_FIST] Military Supply from Population.[NEWLINE][NEWLINE]Enemy Land Units expend all [ICON_MOVES] Movement when entering land territory owned by this City.[NEWLINE][NEWLINE]+1 [ICON_PRODUCTION] Production and [ICON_GOLD] Gold to Camps, Mines, Lumber Mills, and Strategic Resources worked by this City.[NEWLINE][NEWLINE]Garrisoned Units receive an additional 5 Health when healing in this City.[NEWLINE][NEWLINE][ICON_CITY_STATE] Empire Size Modifier is reduced by 5% in this City." WHERE Tag="TXT_KEY_BUILDING_KREPOST_HELP";
	
UPDATE Language_en_US SET Text="+25% [ICON_PRODUCTION] Production of Air Units, +15 [ICON_STRENGTH] Damage to Air Units during Air Strikes on City. +10% City's [ICON_RANGE_STRENGTH] Ranged Strike Damage. +8% [ICON_SILVER_FIST] Military Supply from Population, and Garrisoned Units receive an additional 20 Health when healing in this City.[NEWLINE][NEWLINE]-1 [ICON_HAPPINESS_3] Unhappiness from [ICON_FOOD] and [ICON_PRODUCTION] Distress. [ICON_CITY_STATE] Empire Size Modifier is reduced by 5% in this City." WHERE Tag="TXT_KEY_BUILDING_MILITARY_BASE_HELP";

/*Others*/
UPDATE Language_en_US SET Text= "Completing a [ICON_CARGO_SHIP] Sea Trade Route originating here and targeting another Civilization, triggers a (or strengthens an existing) [COLOR_POSITIVE_TEXT]Historic Event[ENDCOLOR].[NEWLINE][NEWLINE]+1 [ICON_FOOD] Food from Coast and Ocean tiles, and +1 [ICON_PRODUCTION] Production from Sea Resources worked by this City. [ICON_CARGO_SHIP] Sea Trade Routes gain +50% Range and +2 [ICON_GOLD] Gold.[NEWLINE][NEWLINE]+15% [ICON_PRODUCTION] Production of Naval Units, and +2 [ICON_WAR] Military Supply.[NEWLINE][NEWLINE]Can only be constructed in a Coastal City." WHERE Tag="TXT_KEY_BUILDING_HARBOR_HELP";

UPDATE Language_en_US SET Text="+1 [ICON_PRODUCTION] Production and +1 [ICON_GOLD] Gold from all Coast and Ocean tiles. +2 [ICON_PRODUCTION] Production and [ICON_GOLD] Gold from Sea Resources worked by this City. +8% [ICON_SILVER_FIST] Military Supply from Population.[NEWLINE][NEWLINE]Requires 1 [ICON_RES_COAL] Coal. Can only be constructed in a Coastal City, and cannot have a [COLOR_NEGATIVE_TEXT]Train Station[ENDCOLOR] in the City." WHERE Tag="TXT_KEY_BUILDING_SEAPORT_HELP";

UPDATE Language_en_US SET Text="+12% [ICON_SILVER_FIST] Military Supply from Population.[NEWLINE][NEWLINE]Can only be constructed via the [COLOR_MAGENTA]{TXT_KEY_POLICY_ARISTOCRACY}[ENDCOLOR] Policy." WHERE Tag="TXT_KEY_BUILDING_CAPITAL_ENGINEER_HELP";

UPDATE Language_en_US SET Text="Boosts Pressure of [ICON_RELIGION] Religious Majority emanating from this City by 25%.[NEWLINE][NEWLINE]+10% [ICON_FOOD] Food and +7% [ICON_STRENGTH] Defense in the City. -1 [ICON_HAPPINESS_3] Unhappiness from [ICON_FOOD] and [ICON_PRODUCTION] Distress.
" WHERE Tag="TXT_KEY_BUILDING_GURDWARA_HELP";



/*CitySupplyFlat = -1 if > 3, -2 if > 6  */
/*Wonders*/
UPDATE Language_en_US SET Text= "Receive 1 [COLOR_POSITIVE_TEXT]Free[ENDCOLOR] [ICON_GREAT_GENERAL] Great General. +15 XP for Units built in all Cities. Increases [ICON_SILVER_FIST] Military Unit Supply Cap by 8." WHERE Tag="TXT_KEY_WONDER_BRANDENBURG_GATE_HELP";

UPDATE Language_en_US SET Text="Provides a [COLOR_POSITIVE_TEXT]Free[ENDCOLOR] Bastion Fort in the City in which it is built. +15% [ICON_STRENGTH] Combat Strength for Units fighting in [COLOR_POSITIVE_TEXT]Friendly Territory[ENDCOLOR], and +7% [ICON_STRENGTH] Combat Strength for all Cities. Increases [ICON_SILVER_FIST] Military Unit Supply Cap by 4." WHERE Tag="TXT_KEY_WONDER_HIMEJI_CASTLE_HELP";

UPDATE Language_en_US SET Text="Tile improvement construction speed increased by 25%. +10 [ICON_CULTURE] Culture when you destroy an enemy Unit in battle, scaling with Era. Increases [ICON_SILVER_FIST] Military Unit Supply Cap by 4." WHERE Tag="TXT_KEY_WONDER_TERRA_COTTA_ARMY_HELP";

UPDATE Language_en_US SET Text="Can only be built in the [ICON_CAPITAL] Capital.[NEWLINE][NEWLINE]+33% [ICON_GREAT_PEOPLE] Great People generation in this city. Receive 15 [ICON_CULTURE] Culture when a [ICON_CITIZEN] Citizen is born in the City, and 50 [ICON_GOLDEN_AGE] Golden Age Points whenever you unlock a Policy, scaling with Era. +4 [ICON_WAR] Military Supply. +10 [ICON_SPY] City Security.[NEWLINE][NEWLINE]Reduces the purchase cooldown of Civilian Units by 3 turns and removes the purchase cooldown of Military Units in this City.[NEWLINE][NEWLINE]Contains 1 slot for a [ICON_GREAT_WORK] Great Work of Art or Artifact.[NEWLINE][NEWLINE]Unlocks access to [COLOR_POSITIVE_TEXT]{TXT_KEY_BUILDING_MURANO_GLASSWORKS}[ENDCOLOR], [COLOR_POSITIVE_TEXT]{TXT_KEY_BUILDING_VENETIAN_ARSENALE}[ENDCOLOR], and [COLOR_POSITIVE_TEXT]{TXT_KEY_BUILDING_RIALTO_DISTRICT}[ENDCOLOR] once [COLOR_CYAN]{TXT_KEY_TECH_GUILDS_TITLE}[ENDCOLOR] is researched.[NEWLINE][NEWLINE]The [ICON_PRODUCTION] Production Cost increases based on the number of Cities you own." WHERE Tag="TXT_KEY_BUILDING_PIAZZA_SAN_MARCO_HELP";

/*
UPDATE Language_en_US SET Text="+1 tile work radius. +10% to all City Yields. Contains 1 slot for a [ICON_VP_GREATMUSIC] Great Work of Music.[NEWLINE][NEWLINE]Can only be constructed via the [COLOR_MAGENTA]{TXT_KEY_CIV5_POLICY_TRADITION_HEADING}[ENDCOLOR] Finisher." WHERE Tag="TXT_KEY_BUILDING_CAPITAL_THRONE_ROOM_HELP";

No changes for the below, keep for further possible use 
UPDATE Language_en_US SET Text="Receive 1 [COLOR_POSITIVE_TEXT]Free[ENDCOLOR] [ICON_GREAT_GENERAL] Great General and [COLOR_POSITIVE_TEXT]Free[ENDCOLOR] Walls in the City in which it is built. Enemy Land Units expend all [ICON_MOVES] Movement when entering your territory. Increases the Military Unit Supply Cap by 3. These bonuses become obsolete upon discovering [COLOR_NEGATIVE_TEXT]Gunpowder[ENDCOLOR]." WHERE Tag="TXT_KEY_BUILDING_GREAT_WALL_HELP";
	
*/
	
/*CitySupplyFlatGlobal , not altered rn
UPDATE Language_en_US SET Text="Requires completion of [COLOR_MAGENTA]Imperialism[ENDCOLOR] Branch. Increases the Military Unit Supply Cap by 1, and the Air Unit Cap by 2 in every City. Receive 2 [COLOR_POSITIVE_TEXT]Free[ENDCOLOR] Jet Fighters in the City when completed. +50% [ICON_PRODUCTION] Production of Air Units in the City, and Air Units created in the City gain +20 XP." WHERE Tag="TXT_KEY_WONDER_PENTAGON_HELP";
*/
	

/*CitySupplyModifierGlobal * 0.6 */

UPDATE Language_en_US SET Text="Requires completion of [COLOR_MAGENTA]Fealty[ENDCOLOR] Branch. Receive 1 [COLOR_POSITIVE_TEXT]Free[ENDCOLOR] [ICON_GREAT_ENGINEER] Great Engineer and a [COLOR_POSITIVE_TEXT]Free[ENDCOLOR] Arsenal. City [ICON_RANGE_STRENGTH] Ranged Strike Strength and Range increased by 10% and 1, respectively. Greatly increases [ICON_STRENGTH] Strength and HP of the City and [ICON_SILVER_FIST] Military Units Supplied by City's population increased by 3% in all Cities." WHERE Tag="TXT_KEY_WONDER_RED_FORT_HELP";

/* Policies , ExtraSupplyPerPopulation * 0.6 */

UPDATE Language_en_US SET Text="[COLOR_POSITIVE_TEXT]Dominance[ENDCOLOR][NEWLINE][ICON_BULLET]All Melee Units gain the [COLOR_POSITIVE_TEXT]{TXT_KEY_PROMOTION_KILL_HEAL}[ENDCOLOR] Promotion (Heal 15 HP after defeating an Enemy Unit).[NEWLINE][ICON_BULLET]Gain [ICON_RESEARCH] Science when you kill Units equal to 100% of its [ICON_STRENGTH] Strength.[NEWLINE][ICON_BULLET]+6% [ICON_SILVER_FIST] Military Supply from [ICON_CITIZEN] Population." WHERE Tag="TXT_KEY_POLICY_MILITARY_TRADITION_HELP";

UPDATE Language_en_US SET Text="[COLOR_POSITIVE_TEXT]United Front[ENDCOLOR]: Unit Supply generated by [ICON_CITIZEN] Population increased by 30%. While at war, your resting point for [ICON_INFLUENCE] Influence with allied City-States is increased by 100, and Militaristic City-State unit gift rates triple." WHERE Tag="TXT_KEY_POLICY_UNITED_FRONT_HELP";

/* Traits - Napoleon only */
UPDATE Traits SET ExtraSupplyPerPopulation = ExtraSupplyPerPopulation * 0.6 WHERE ExtraSupplyPerPopulation > 0; 

UPDATE Language_en_US SET Text="Melee and Gunpowder Units may enlist defeated enemies, which do not consume [ICON_WAR] Unit Supply. +1 [ICON_CULTURE] Culture in every City for every 10 Military Units. +15% [ICON_SILVER_FIST] Military Supply from Population." WHERE Tag="TXT_KEY_TRAIT_ENHANCED_CULTURE";
